{% extends "base.html" %}
{% block head %}
{% include 'importLeaflet.html' %}
{% endblock %}
{% block map %}
<div id="map"></div>
<script type=text/javascript
    src="{{ url_for('static', filename='js/map.js') }}">
</script>
<script type=text/javascript
        src="{{url_for('static', filename='js/wgs84-lv03/wgs84_ch1903.js')}}">
</script>
<script type=text/javascript
        src="{{url_for('static', filename='js/showFund.js') }}"
>
</script>
<script type=text/javascript
    src="{{url_for('static', filename='js/biogeoregio.js') }}"
>
</script>

<script>
 let map
 let currentMarker
 generateDefaultMap()
 addGeoJsonFeatureCollection({{biogeoregio|tojson}})
 showFundList({{fundList|tojson}})
 const mediath={{fundList|tojson}}
</script>
{% endblock %}
{% block page %}
<div class="page-bar">
    <div class="field is-horizontal">
      <div class="field-label is-normal">
        <label for="spezies_id">Spezies</label>
      </div>
            <select id="spezies_id" name="spezies_id">
              <option value="">
                Select your option
              </option>
              {% for s in spezies %}
              <option value="{{s.id}}">
              {{s.gattung}} {{s.art}} {{s.erstfinder}}
              </option>
              {% endfor %}
            </select>
    </div>
    <div class="field is-horizontal">
      <div class="field-label is-normal">
          <label for="legit_id">Legit</label>
      </div>
          <select id="legit_id" name="legit_id">
              <option value="">
              Select your option    
              </option>
              {% for l in legitList %}
              <option value="{{l}}">
              {{l}}    
              </option>
              {% endfor %}
          </select>     
    </div>
    <div class="field is-horizontal">
      <div class="field-label is-normal">
        <label for="habitat_id">Habitat</label>
        <br>
        <select input id="habitat_id" name="habitat" type="text" value="Select your option">
          <option value="">Select your option</option>
          <option value="Eukrenal">Eukrenal</option>
          <option value="Hypokrenal">Hypokrenal</option>
        </select>
      </div>
    </div>
    <div class="field is-horizontal">
      <div class="field-label is-normal">
        <label for="altitude_id">Altitude</label>
        <br>
        <select input id="altitude_id" name="altitude" type="text" value="Select your option">
          <option value="">Select your option</option>
          <option value="low">< 600m</option>
          <option value="mid">600m - 1800m</option>
          <option value="high">> 1800m</option>
        </select>
      </div>
    </div>
    <br>
    <div class="field-body">
      <div class="field">
        <div class="control">
          <button type="button" id="resetspezies" class="button is-primary">Reset</button>
        </div>
      </div>
    </div>
    <div class="control">
      <button type="submit" id="filterspezies" class="button is-primary">Submit</button>
  </div>
</div>
<script type=text/javascript
        src="{{url_for('static', filename='js/filter.js') }}"
>
</script>
{% endblock %}

